%define version 0.1.1
%define release 1
%define name ipasserelle-listes

Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Summary: iPasserelle mailing list module
Group: System Environment/Applications
License: GPLv3+
URL: http://www.ipasserelle.com
Source0: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: e-smith-devtools

Requires: ipasserelle-base
Requires: smeserver-mailman

%description
iPasserelle module for the mailing list service
Uses smeserver-mailman

%changelog
* Sat Jun 9 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1.sme
- Build for noarch
- Migrate to GIT

* Mon Sep 12 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-1.sme
- Initial release

%prep
%setup -q

%build
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist \
    --file /var/service/mailman/qrunner 'attr(0755,root,root)' \
    --file /var/service/mailman/run 'attr(0755,root,root)' \
    $RPM_BUILD_ROOT > %{name}-%{version}-%{release}-filelist
echo "%doc CHANGELOG.git" >> %{name}-%{version}-%{release}-filelist

%files -f %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun


